#!/usr/bin/env node

const childProcess = require('child_process');
const path = require('path');

const args = process.argv.slice(2);
let pursImportsPath;

switch (process.platform) {
  case 'darwin':
    pursImportsPath = path.join(__dirname, 'macos', 'purs-imports');
    break;
  case 'win32':
    pursImportsPath = path.join(__dirname, 'win', 'purs-imports.exe');
    break;
  default:
    pursImportsPath = path.join(__dirname, process.platform, 'purs-imports');
    break;
};

const pursImports = childProcess.spawn(pursImportsPath, args, { stdio: 'inherit' });

pursImports.on('close', function(code) { process.exit(code); });
